Bug 247971 - net/librespeed-cli: Update to v1.0.7
Summary: net/librespeed-cli: Update to v1.0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-14 13:06 UTC by Dries Michiels
Modified: 2020-07-20 01:48 UTC (History)
1 user (show)

See Also:


Attachments
librespeed-cli.diff (5.59 KB, patch)
2020-07-14 13:06 UTC, Dries Michiels
driesm.michiels: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2020-07-14 13:06:47 UTC
Created attachment 216436 [details]
librespeed-cli.diff

QA: Poudriere testport

Changelog:
https://github.com/librespeed/speedtest-cli/releases/tag/v1.0.7
Comment 1 Automation User 2020-07-14 13:27:21 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/166413568
Comment 2 Koichiro Iwao freebsd_committer 2020-07-16 01:45:34 UTC
Maybe you should also update GH_TUPLE. I'll do that at this time.
Comment 3 commit-hook freebsd_committer 2020-07-19 14:31:22 UTC
A commit references this bug:

Author: meta
Date: Sun Jul 19 14:30:50 UTC 2020
New revision: 542580
URL: https://svnweb.freebsd.org/changeset/ports/542580

Log:
  net/librespeed-cli: Update to 1.0.7

  Also add some definitions to GO_BUILDFLAGS to properly fill out the output of
  `librespeed-cli --version`. These values are also used in User-Agent when
  accessing speedtest server.

  PR:		247971
  Reported by:	Dries Michiels <driesm.michiels@gmail.com> (maintainer)
  Reviewed by:	meta (myself)

Changes:
  head/net/librespeed-cli/Makefile
  head/net/librespeed-cli/distinfo
  head/net/librespeed-cli/pkg-descr
Comment 4 Koichiro Iwao freebsd_committer 2020-07-20 01:48:26 UTC
GH_TUPLE was actually up to date. Committed with minor changes, thanks!